##############################################################
#
#this is basicaly  module for any other Scotty agent
#it can be added to egsisting agent 
#agent initialisation file
#
#Thu May 25 10:04:41 MET DST 2000
#Damir Delija, ddelija@srce.hr
#
##############################################################



##########*#####*###*##*#*#**#***#****#***=**==*===---===--=--------
##       Name: Env_get
##    Purpose: get values from enviromental subsystem / envstat command
## Parameters: Agent session handle
##    Globals: Env table etc, 
## Ext. Comms: envstat, has to be in PATH!
##     Return: n/a
##########*#####*###*##*#*#**#***#****#***=**==*===---===--=--------
proc Env_get { s  } {

	set ind 0
	global Env EnvMonitorNumber EnvTableLastChange 

	set f [open "|envstat -t"]

	#mark no lines in table
	$s instance  EnvMonitorNumber.0 EnvMonitorNumber 0

	#mark new time stamp
	$s instance  EnvTableLastChange.0 EnvTableLastChange [clock seconds]
	
	#parse output 
	gets $f line; gets $f line;  #remove the first two lines

	while { [gets $f line ] >= 0 } {
		incr ind
		set EnvMonitorNumber $ind ;#mark no lines in table
		scan $line "%s %d" descr value

		$s instance envDescr.${ind} Env(Descr,${ind}) $descr
		$s instance envValue.${ind} Env(Value,${ind}) $value
	}

	close $f

}

##########*#####*###*##*#*#**#***#****#***=**==*===---===--=--------
##       Name: Env_Init
##    Purpose: Initalise env. monitoring subsystem 
## Parameters: Agent session handle, or {}
##    Globals: PORT for agent session
##     Return: n/a
##########*#####*###*##*#*#**#***#****#***=**==*===---===--=--------
proc Env_Init { s  } {

	mib load unix.mib
	mib load carnet.mib
	mib load enviroment.mib

	#initialise the env. subsystem
	Env_get $s 

	#bind data gathering A
	#data is fetched from outside only when 
	#EnvMonitorNumber.0 is reguested, see in mib ...

	$s bind EnvMonitorNumber.0 get { 
		Env_get  %S
	}

}


##############################################################
