##############################################################
#
#this is basicaly  module for any other Scotty agent
#it can be added to egsisting agent 
#agent initialisation file
#
#Tue May  8 12:53:39 MET DST 2001
#Damir Delija, ddelija@srce.hr
#
##############################################################


##########*#####*###*##*#*#**#***#****#***=**==*===---===--=--------
##       Name: System_Init
##    Purpose: Initalise system group
## Parameters: Agent session handle
##    Globals: system group names
## Ext. Comms: uname, has to be in PATH!
##     Return: n/a
##########*#####*###*##*#*#**#***#****#***=**==*===---===--=--------

proc System_Init { s } {

	mib load rfc1213.mib
	mib load carnet.mib

	global sysName sysObjectID sysContact sysLocation 
	global sysDescr sysUpTime systemStart

	set sysName [exec uname -n]
	set sysDescr [exec uname -a]

	set sysObjectID [mib oid carnet]	;#just for fun

	set systemStart [getclock]  ;#system SNMP startUP in miliseconds!

	$s instance sysUpTime.0 sysUpTime $systemStart

	#bind the real time of the system to the system node!
	$s bind system get { 
		global systemStart
		set sysUpTime [expr ([getclock] - $systemStart) / 10]
	}

	$s instance sysName.0 sysName $sysName

	$s instance sysObjectID.0 sysObjectID $sysObjectID
	$s instance sysContact.0 sysContact $sysContact
	$s instance sysLocation.0 sysLocation $sysLocation
	$s instance sysDescr.0 sysDescr $sysDescr

}


##############################################################
