/* ---------------------------------------------------------------
Thu May 18 15:39:28 MET DST 2000


This is disk acess data 
it can be simpler

--------------------------------------------------------------- */


#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include <kstat.h>
#include <sys/envctrl_gen.h>

#include "envstat.h"
extern int output;
extern char outbuff[];

/*
disk data header in requested format ...
*/
void print_disk_header( void ) {

	if (output == SIMPLE_OUT ) {	
        	sprintf (outbuff,"#TABLE:\tdisk\n#ROWS:\tslot\tdisk_ok");
	} else {
        	sprintf (outbuff,"array set disk { \\");
	}
	myOut(outbuff);		
}

/*
actual data print in requested format
*/
void *print_envctrl_disk ( envctrl_disk_t *p, int i ) {
	if (!p) return(NULL);

	if (output == SIMPLE_OUT) {
		sprintf (outbuff,"\t%d\t%d",  
			(int)p->slot, (int)p->disk_ok);
	} else {
		sprintf (outbuff," %d,slot %d %d,disk_ok %d \\", 
			i, (int)p->slot, i,(int)p->disk_ok);
	}
	myOut(outbuff);		
	return (void*)(p+1);
}

/* 
chain read and print
*/
void print_disk(kstat_ctl_t *kc)
{
kstat_t *ksp;
envctrl_disk_t *tps;
int i;


/* 
find the disk data in kstat chain
*/

	ksp = kstat_lookup(kc,
		ENVCTRL_MODULE_NAME,
		-1,
		ENVCTRL_KSTAT_DISK
	);

	print_disk_header();

	if(ksp  && kstat_read(kc,ksp,NULL)!=-1){
		/* walk trough records*/
		tps=ksp->ks_data;
		for (i=0; tps && i<(int)ksp->ks_ndata; i++) {
			tps=print_envctrl_disk ( tps, i );
		}
	}
	print_disk_trailer();
}

	
/* end */

