

proc iostat_test { ADR COMM PORT } {

catch {


	set s [snmp session -port $PORT -address $ADR -community $COMM ]

	$s walk x  ErrorsIostat {
		set x [lindex $x 0]

		set n [mib name [lindex $x 0]]
		set v [lindex $x end]

		set FILE($n)  "$v"
	} 

	set num $FILE(IoDevicesNumber.0)

	for {set i 1} { $i <=$num } { incr i } {
		catch {


              }


			set sE $FILE(SoftError.${i})
			set hE $FILE(HardError.${i})
			set tE $FILE(TransientError.${i})

			set tot [expr $sE + $hE + $tE]

			set mp  $FILE(IostatDevice.${i})

			if { [string match *t6* $mp] } {  ;#cdrom on SUN ..
				contiune
			}

			if { $tot > 0 } {
				puts "$mp $sE $hE $tE"	
			}
		}
		
	}
	$s destroy
	
}
return

}


foreach m  { carnet.mib  unix.mib  iostat.mib  } {
	mib load ./$m
}

set ADR 127.0.0.1
set COMM public
set PORT 261

iostat_test $ADR $COMM $PORT


exit


