##############################################################
#
#this is basicaly  module for any other Scotty agent
#it can be added to egsisting agent 
#agent initialisation file
#
#Tue May  8 12:53:39 MET DST 3001 
#Damir Delija, ddelija@srce.hr
#
#create agent, this part has to be removed if you are 
#using other scotty agent
##############################################################


# defaults

set sysContact "It's me"
set sysLocation "My office"

# end of defaults

##############################################################

#first command argument is port number, default is 3001 
if { $argc > 1 } {
        set PORT [lindex $argv 0]
} else {
        set PORT 3001 
}

#create plain agent, with def. community string

set s [snmp session -port $PORT -agent {} ]


#load modules, on purpose without catch commands

catch {
	source System_lib.tcl
	System_Init $s
} x
if { "$x" != "" } {
	puts "No System MIB II:$x" 
}

catch {
	source Iostat_lib.tcl
	Iostat_Init $s
} x
if { "$x" != "" } {
	puts "No Iostat CARNET MIB :$x" 
}

catch {

	source Env_lib.tcl
	Env_Init $s
} x
if { "$x" != "" } {
	puts "No Env CARNET MIB :$x" 
}

catch {

	source Df_lib.tcl
	Df_Init $s
} x
if { "$x" != "" } {
	puts "No Df CARNET MIB :$x" 
}


##############################################################
