##############################################################
#
#this is basicaly  module for any other Scotty agent
#it can be added to egsisting agent 
#agent initialisation file
#
#Tue May  8 12:53:39 MET DST 2001
#Damir Delija, ddelija@srce.hr
#
# Warning: this is VERY Solaris specif ...
#
##############################################################



##########*#####*###*##*#*#**#***#****#***=**==*===---===--=--------
##       Name: Iostat_get
##    Purpose: get values from iostat -ne
## Parameters: Agent session handle
##    Globals: Iostat IoDevicesNumber ErrorsIostatLastChange
## Ext. Comms: iostat -ne, must be in path
##     Return: n/a
##########*#####*###*##*#*#**#***#****#***=**==*===---===--=--------

proc Iostat_get { s  } {

	set ind 0
	global Iostat IoDevicesNumber ErrorsIostatLastChange

	set f [open "|iostat  -ne"]

	#mark no lines in table
	$s instance  IoDevicesNumber.0  IoDevicesNumber

	#mark new time stamp
	$s instance   ErrorsIostatLastChange.0   ErrorsIostatLastChange  [clock seconds]
	
	#parse output 
	gets $f line; gets $f line;  #remove the first two lines

	while { [gets $f line ] >= 0 } {

		incr ind
		set  IoDevicesNumber $ind ;#mark no lines in table

		scan $line "%d %d %d %d %s" SoftError HardError TransientError total IostatDevice

		$s instance IostatDevice.${ind} Iostat(IostatDevice,${ind}) $IostatDevice

		$s instance SoftError.${ind} Iostat(SoftError,${ind}) $SoftError
		$s instance HardError.${ind} Iostat(HardError,${ind}) $HardError
		$s instance TransientError.${ind} Iostat(TransientError,${ind}) $TransientError

	}

	close $f

}

##########*#####*###*##*#*#**#***#****#***=**==*===---===--=--------
##       Name: Iostat_Init
##    Purpose: Initalise iostat errors monitoring subsystem 
## Parameters: Agent session handle, or {}
##    Globals: PORT for agent session
##     Return: n/a
##########*#####*###*##*#*#**#***#****#***=**==*===---===--=--------
proc Iostat_Init { s } {

	mib load unix.mib
	mib load carnet.mib

	mib load iostat.mib

	#initialise the env. subsystem
	Iostat_get $s 

	#bind data gathering A
	#data is fetched from outside only when 
	#EnvMonitorNumber.0 is reguested, see in mib ...

	$s bind IoDevicesNumber.0 get { 
		Iostat_get  %S
	}

}


##############################################################
