
proc enviroment_test { ADR COMM PORT LIM } {

catch {

	set s [snmp session -port $PORT -address $ADR -community $COMM ]

	$s walk x enviroment  {

		set x [lindex $x 0]

		set n [mib name [lindex $x 0]]
		set v [lindex $x end]

		set FILE($n) "$v"
	} 

	set num $FILE(EnvMonitorNumber.0)

	for {set i 1} { $i <=$num } { incr i } {

		catch {

			set val $FILE(envValue.${i})
			set dsc $FILE(envDescr.${i})

			if { $val > $LIM } {
				puts "$dsc $val"	
			}
		} 
	}


	$s destroy
	
} 

return

}


foreach m  { carnet.mib  unix.mib  enviroment.mib  } {
	mib load ./$m
}

set ADR 127.0.0.1
set COMM public
set PORT 161
set LIM  20

enviroment_test $ADR $COMM $PORT $LIM


exit


