'\" t
.\" @(#)envstat.1m 2.7 20/05/19 ;
.TH envstat 1M "19 May 2000"
.SH NAME
envstat \- print the envctrl kstat module data for temperature,disks and fans on E250
.SH SYNOPSIS
.B /usr/local/bin/envstat
[
.BI "-l [-v | -d -f -t] [-o tcl]"
]
.SH AVAILABILITY
additional free utility
.SH DESCRIPTION
.IX "envstat" "" "\fLenvstat\fP \(em print the envctrl module data"
.LP
The 
.B envstat
reads the kstat chain and print data for temperature,disks and fans. 
Output can be in plain table format, or prepared for tcl interpreter.
Command was developed on E250, as interface to screen scrapper SNMP agent
written in TCL.
Output is in simple easy parsable format
.TP
.B "#TABLE: table_name"
.TP
.B "#ROWS: rows_names"
.TP
.B "data in rows"

.SH OPTIONS
.TP
.BI \-l 
Specifies that data is also send to syslog facility, underl LOG_ALERT pritority
.TP
.B \-o " tcl"
Specifies that output is in tcl precooked format 
like "array set name { value list }"
.TP
.B "[ -v | -d -t -f]" Specifies which data will be printed 
.TP
.B \-t means temperature
.TP
.B \-f means fans
.TP
.B \-d means disks
.TP
.B \-v means all, temperature, disks and fans
.TP
.BR \-? " prints the short usage message"

.SH DEFAULTS
.LP
At the moment defaults for
.B envstat
are no output and no logging. If output is defined than simple form is used.

.SH EXAMPLES
.LP
The following example prints temperature data in simple format without sysloging
.LP
.B example% /usr/local/bin/envstat -t
.LP
The following example prints all data in simple format with sysloging
.LP
.B example% /usr/local/bin/envstat -v -l
.LP
.SH FILES
.B /dev/kstat
device special file
.SH SEE ALSO
.BR kstat
.BR prtdiag
.LP
.BR /usr/platform/platform-type/include/sys/env*h files

